<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFOACEditViewBase from './emrfoacedit-view-base.vue';

import view_form from '@widgets/emrfoac/main2-form/main2-form.vue';

/**
 * 方案信息
 *
 * @export
 * @class EMRFOACEditView
 * @extends {EMRFOACEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFOACEditView extends EMRFOACEditViewBase { }
</script>